Subject: More and more virtual interims

From: John C Klensin <[email-masked]>
Date: Wed, 19 Jul 2017 15:15:32 -0400

During the plenary, there was a strong pitch made for a
significantly increased number of virtual meetings, maybe even
every few weeks..  I want to play devil's advocate and point out
the downsides:

(1) We have usually thought that the IETF is at its best when
the vast majority of participants are designers, implementers,
and people with primary product responsibility rather than, at
the other extreme, professional standardizers.  For at least
some organizations, having to commit regular blocks of time (or
very long blocks of time) to specific standards work will
trigger the same sorts of "are those people too valuable to do
this or can we commit fewer or less valuable people" reviews
that are sometimes triggered by meetings in resorts or other
exotic and/or other places that are perceived as exceptionally
expensive or attractive to tourists.   In many other standards
bodies, including several whose work the IETF has treated with
some contempt in the past, there is a repeated pattern in which
the first generation of work actually engages those who
understand the architectural, design, and implementations but
later generators tend to be taken over by people whose jobs (and
skills) are in developing standards as a procedural matter
and/or protecting company interests in already-developed product
plans.  If we are inclined toward shifting toward more interim
meetings rather than emphasizing asynchronous email
communication, we should ask ourselves about the risks of
thereby shifting the profiles of the participants and the
possible consequences of doing that.

(2) Historically, we have considered active cross-area
participation and review as one of the strengths of the IETF.
As part of that, we've cited meetings that pull everyone
together for much of a week as an opportunity to get people to
drop in on WGs with which they aren't actively familiar.  That
doesn't work as well with remote participation although, if I've
set a week aside for IETF, dropping in on a WG about which I'm
merely curious is fairly easy and maybe likely.  It is quite
subjective, but my sense is that we've seen a rising percentage
of people participating in the IETF who are interested in a
single topic or even a single WG.  If we are interested in
crossfertilization across sets of skills and interests (not
merely the fallback of "area reviews" near or during IETF Last
Call), then, while we probably cannot resist tendencies toward
extreme specialization, we probably should not encourage them.
In that context, isolated interim WG meetings that people are
likely to sign up for or participate in only if they are
specifically interested in that WG and its subject matter are
likely to reinforce isolation and work that isn't seen from
other perspectives until IETF Last Call (if then). 

(3) For those for whom listing to, or expressing themselves in,
spoken English is not comfortable, an all-remote virtual interim
meeting may be even more of a barrier to full participation and
input than a mostly f2f one.  Noting other recent conversations
about slides and slide contents, that situation is even worse if
the same requirements about early posting of meeting materials
that apply to IETF f2f meetings don't apply to interims.  I note
that the IESG Statement on Interim Meetings
(https://www.ietf.org/iesg/statement/interim-meetings.html) does
not appear to impose that requirement on virtual interims (I
believe its coverage of f2f interim meetings is adequate for
that set of special issues.

None of those concerns is an argument against an occasional
interim meeting, especially when a real-time conversation may
help resolve controversial issues (and more especially where it
is possible that those issues result from misunderstandings or
miscommunication).   But, to the extent to which people are
advocating more and more interim meetings (either virtual or
f2f) as a normal way of doing business), we need to be careful
about possible side effects, most of which are not mentioned in
the IESG Statement.

   best,
    john

---

From: Yoav Nir <[email-masked]>
Date: Wed, 19 Jul 2017 22:07:40 +0200

Hi, John.

I agree that over-emphasizing virtual interim meetings has its drawbacks, but I’d like to push back on your first point.

> On 19 Jul 2017, at 21:15, John C Klensin <[email-masked]> wrote:
> 
> expensive or attractive to tourists.

Note that this is about virtual interim meetings, or as non-IETF people call them - conference calls. Blocking out one or two hours every two to three weeks is not that big a deal to employers. There is no travel approval, no flight, no hotel, no several day absence, no expense report. It’s a phone call (or Webex or some kind of WebRTC thing). This is nothing compared to a F2F meeting, where I’m gone for 5 days and have probably spent a total of one more day on all the stuff around that.

Your points about cross-fertilization and English stand, but a virtual interim is a far cheaper way (for all participants and their employers) to get a 1- or 2-hour slot for a WG meeting.

Yoav

---

From: John C Klensin <[email-masked]>
Date: Wed, 19 Jul 2017 17:09:59 -0400

--On Wednesday, July 19, 2017 22:07 +0200 Yoav Nir
<[email-masked]> wrote:

> Hi, John.
> 
> I agree that over-emphasizing virtual interim meetings has its
> drawbacks, but I'd like to push back on your first point.
> 
>> every few weeks..  I want to play devil's advocate and point
>> out the downsides:
>> 
>> some organizations, having to commit regular blocks of time
>> (or very long blocks of time) to specific standards work will
> Note that this is about virtual interim meetings, or as
> non-IETF people call them - conference calls. Blocking out one
> or two hours every two to three weeks is not that big a deal
> to employers. There is no travel approval, no flight, no
> hotel, no several day absence, no expense report. It's a
> phone call (or Webex or some kind of WebRTC thing). This is
> nothing compared to a F2F meeting, where I'm gone for 5 days
> and have probably spent a total of one more day on all the
> stuff around that.

Absolutely, but only up to a point.  Having been on both sides
of the approval process, if someone is going to do a phone call
every once in a while, it is, as you say, just a phone call.
Depending on the organization and particular roles, if it is
going to be a regular hour or two commitment every couple of
weeks, that may starts to be another issue, even though there
is, as you point out, no travel approval, flights, hotels, etc.
For just the latter reasons, if an interim meeting is needed,
there is absolutely no question that a virtual one is going to
mean less organizational stress, etc., than a physical one.

FWIW, I also believe that, as we get better at interim meetings,
conference calls, etc., we should be able to consider cutting
back week-long f2f meetings to maybe two per year rather than
three, with the advantages again being the ones you cite.

> Your points about cross-fertilization and English stand, but a
> virtual interim is a far cheaper way (for all participants and
> their employers) to get a 1- or 2-hour slot for a WG meeting.

Agreed.  What I'm trying to push on a bit is the assumption that
I thought I heard during the plenary, i.e., that interim
meetings, in quantity, should be encouraged as a better way to
do work than email and occasional "everyone gets together" IETF
plenaries.  It is, to me, a matter of finding and keeping the
right balance, rather than going overboard on any one approach.

best,
    john

---

From: Andrew Sullivan <[email-masked]>
Date: Thu, 20 Jul 2017 09:15:28 -0400

Dear colleagues,

> possible consequences of doing that.

One of the things I have wondered about, and in keeping with some
remarks in the plenary last night, I have been wondering why we do
virtual interim meetings as _meetings_.

Sometimes, rapid-fire real time discussion is needed to sort out a
complicated problem.  But in at least some cases (I'm sure I myself am
guilty of this), the meeting amounts to a forcing function to cause
work.  If one does that all virtually, then everyone needs to have the
enjoyment of time-shifting and jetlag without the benefit of
in-person-discussion in more casual ways (hallways, dinner, whatever).
Maybe what we need is not more virtual interims, but more time boxes.
This would do nothing for controversy that needs rapid interaction,
but it might meet the test of "faster progress".

One way to do that would be to set document sprint dates in advance,
and for chairs to reserve discussion of this or that other topic at
ome time.  Have any WGs tried this recently?

Best regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: Michael Richardson <[email-masked]>
Date: Fri, 21 Jul 2017 10:46:38 +0200

John C Klensin <[email-masked]> wrote:
    jk> (1) We have usually thought that the IETF is at its best when the
    jk> vast majority of participants are designers, implementers, and people
    jk> with primary product responsibility rather than, at the other
    jk> extreme, professional standardizers.  For at least some
    jk> organizations, having to commit regular blocks of time (or very long
    jk> blocks of time) to specific standards work will trigger the same
    jk> sorts of "are those people too valuable to do this or can we commit
    jk> fewer or less valuable people" reviews that are sometimes triggered
    jk> by meetings in resorts or other exotic and/or other places that are
    jk> perceived as exceptionally expensive or attractive to tourists.

    yn> Note that this is about virtual interim meetings, or as non-IETF
    yn> people call them - conference calls. Blocking out one or two hours
    yn> every two to three weeks is not that big a deal to employers. There is
    yn> no travel approval, no flight, no hotel, no several day absence, no
    yn> expense report. It's a phone call (or Webex or some kind of WebRTC
    yn> thing). This is nothing compared to a F2F meeting, where I'm gone for
    yn> 5 days and have probably spent a total of one more day on all the
    yn> stuff around that.

I was also surprised that John would connect use of conference calls with
a move towards "professional" (really really really large 'airquotes' from
me here) standards people.  (It surprised me greatly, but I generally try to
stay away from organizations where these so-called-professionals nest)

I think that we are now at a very happy mid-point where it is really easy
in a number of WGs where new people can join calls (and yes John, email lists)
in many cases, essentially without any permission from management.  I think
that leads to a much easier transition to when the person asks for actual
travel: they are more likely to be truly active contributors, with real
active drafts.

I think the critical thing is that virtual interims are well minuted to
emails, in a timely fashion, and that the technolog is accessible.

To the extent that webex has been used in the past as a cheap conference
call system (where many participants use the computer access, but until 2
months ago, that feature was available on only few platforms) it has been
okay.  Slides were distributed in advance and no assumption about screen
sharing was made.  Some groups have, however, overused this and excluded
people with non-legacy desktops or who have unmutable corporate firewall
policies.   I have cried foul over a few years, but it appears that webex's
webrtc system seems to be more fully deployed.  appear.in has worked well,
even sometimes through corporate firewalls.  JITSI(.tools.ietf.org) has
sadly, not be as resilient.

My request to the IESG is to clearly ask the IAOC to get a real SLA
on the use of a single consensus tool.  That we write a BCP about what
ports it uses, such that an IETF contributor can say, "Dear IT, please
enable RFCxxxx access for me"

    yn> FWIW, I also believe that, as we get better at interim meetings,
    yn> conference calls, etc., we should be able to consider cutting back
    yn> week-long f2f meetings to maybe two per year rather than three, with
    yn> the advantages again being the ones you cite.

I also have this goal.  I suggest however that we initially approach
this differently: that we consider that we could cut back the length of
the week (with fewer simultaenous tracks), because many groups will have had
a virtual interim in the 3-4 weeks prior to the meeting.

This also means changing the ID submission deadlines, perhaps making them
under control of WG chairs rather than global.

    jk> Your points about cross-fertilization and English stand, but a virtual
    jk> interim is a far cheaper way (for all participants and their
    jk> employers) to get a 1- or 2-hour slot for a WG meeting.

    yn> Agreed.  What I'm trying to push on a bit is the assumption that I
    yn> thought I heard during the plenary, i.e., that interim meetings, in
    yn> quantity, should be encouraged as a better way to do work than email
    yn> and occasional "everyone gets together" IETF plenaries.  It is, to me,
    yn> a matter of finding and keeping the right balance, rather than going
    yn> overboard on any one approach.

My experience is that the virtual interm meetings *reinforce* the use of
email, while our in-person meetings often do the opposite :-)

--
]               Never tell me the odds!                 | ipv6 mesh networks [
]   Michael Richardson, Sandelman Software Works        | network architect  [
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Michael Richardson <[email-masked]>
Date: Fri, 21 Jul 2017 13:17:25 +0200

> but it might meet the test of "faster progress".

Can you explain "time boxes" here?

    > ome time.  Have any WGs tried this recently?

This sounds a bit like a design team meeting to me.

---

From: Alia Atlas <[email-masked]>
Date: Fri, 21 Jul 2017 08:21:12 -0400

Michael,

At least my read of the suggestion is a bit of an expansion of what we do
with WG Adoption and
WG Last Call - where the mailing list "focuses" on a particular draft or
topic for a week or two.
MPLS has had some success with this tactic in the past.  It is the
alternative that I encouraged
and suggested to the RTG WG Chairs - but got many fewer takers on it.  I'd
love to see more
WGs experiment with this because it does resolve the time-zone & day-job
meeting conflicts issues.

Regards,
Alia

---

From: John C Klensin <[email-masked]>
Date: Fri, 21 Jul 2017 09:46:52 -0400

--On Friday, July 21, 2017 08:21 -0400 Alia Atlas
<[email-masked]> wrote:

> Michael,
> 
> At least my read of the suggestion is a bit of an expansion of
> what we do with WG Adoption and
> WG Last Call - where the mailing list "focuses" on a
> particular draft or topic for a week or two.
> MPLS has had some success with this tactic in the past.  It is
> the alternative that I encouraged
> and suggested to the RTG WG Chairs - but got many fewer takers
> on it.  I'd love to see more
> WGs experiment with this because it does resolve the time-zone
> & day-job meeting conflicts issues.

Alia,

I've seen variations on that approach work very well in some
applications and procedure-related WGs too.  I've also seen it
fail spectacularly in other WGs.   I think the difference is, at
least in part, that requests from WG leadership that the WG
focus completely on a single topic or small cluster of topics
for a while works well with WGs that are, themselves, narrowly
focused, with drafts that cover different aspects of the same
topic and the expectation that the WG's work is close-ended,
i.e., that the WG will be terminated when that work is complete,
rather than expanding or rechartering to take on more work.  At
the other extreme, if a WG includes multiple topics or subtopics
with different clusters of interested participants, I won't say
it is impossible, but probably a separate list should be
considered if it is necessary to concentrate for a while on one
specific topic or draft.

best,
   john

---

From: Michael Richardson <[email-masked]>
Date: Fri, 21 Jul 2017 19:20:56 +0200

> WG Last Call - where the mailing list "focuses" on a particular draft or

I think it can only work for a list/WG which has a too much activity
(in too many directions).  For a WG which has gone quiet because people
are busy/bored/etc.  I'm not sure that such a deadline can really help.

But, it's worth doing more experiments!
I'd love to be proven wrong.

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 24 Jul 2017 16:56:08 -0400

> Can you explain "time boxes" here?

"Time box" is the (admittedly inelegant) jargon that proponents of
certain agile software development methodologies use to describe a
period in which active development + other stuff happens.  This is
sometimes called the "sprint", but it's not only that of course since
that's usually coding and such like.  The whole group does all the
stuff it does for a period inside the "time box".  This is often a
period of two or three weeks, though I've seen groups that do as much
as six. The idea is that, within the period in question, a group
focusses only on certain things and everything else is set aside.

Setting the jargon aside for a moment, the point is that instead of
having a WG interim in which everyone has to interrupt their circadian
rhythm, the WG instead decides that (say) the WG is going to hammer
out the issues on $draft between (say) Tues and Thurs of next week.
The jabber room is open and active and issues are rapidly taken up
from the tracker and knocked down, and then an interim consensus call
can be done on (say) Friday.  There could also be some sort of voice
channel up and available, I suppose, if people wanted to join it _ad
hoc_ to sort something out. It's more async and therefore there'll be
more mail and jabber back and forth, and maybe someone will come to
the discussion later and be annoyed that his or her deathless prose was
mangled, but it's still a way of working rapidly but async in keeping
with the geographic distribution.  I have seen free software projects
have success with this sort of thing, so it is possible to do it,
though it requires that all participants rely really a lot on the
principle of charity and are super polite and nice in their emails.
So it might not work here.  But it might be worth a go to see whether
it could produce results.

Best regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: Tim Chown <[email-masked]>
Date: Tue, 25 Jul 2017 09:13:39 +0100

> On 24 Jul 2017, at 21:56, Andrew Sullivan <[email-masked]> wrote:
> 

Nice idea, and as you say it should help with the time zone issue.

Worth an experiment...

Tim

---

From: Eliot Lear <[email-masked]>
Date: Tue, 25 Jul 2017 19:48:41 +0200

This sounds like something to try, even as an alternative to a f2f interim.